Bug 102501 - (ACPI) Yet another ACPI hang at boot
(ACPI) Yet another ACPI hang at boot
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-08-15 20:14 EDT by Chris Kloiber
Modified: 2013-07-02 22:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-21 16:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysreport output (535.79 KB, application/x-bzip2)
2003-08-15 20:16 EDT, Chris Kloiber
no flags Details
Screenshot (via camera) (660.83 KB, image/jpeg)
2003-08-15 20:16 EDT, Chris Kloiber
no flags Details
Booting the installer with serial capture. (2.56 KB, text/plain)
2003-08-27 15:24 EDT, Chris Kloiber
no flags Details
Same machine with acpi=off (4.06 KB, text/plain)
2003-08-27 15:32 EDT, Chris Kloiber
no flags Details
acpidmp output (54.40 KB, text/plain)
2003-08-27 23:47 EDT, Chris Kloiber
no flags Details

  None (edit)
Description Chris Kloiber 2003-08-15 20:14:13 EDT
Description of problem:

Booting installer with kernel-BOOT-2.4.21-20.1.2024.2.1.nptl.i386.rpm
on Compaq (HP) W8000 Bios 1.18 (will attach sysreport) I receive the following
error (screenshot will be attached for more verbosity):

ACPI-0183: *** Error: Looking up [\_SB_.PCI0.LPC_.ECP0] in namespace, AE_NOT_FOUND

ACPI-1121: *** Error: , AE_NOT_FOUND

At this point it's done. 

The install *does* proceed normally if I use 'boot: linux acpi=off' to start it.
Comment 1 Chris Kloiber 2003-08-15 20:16:04 EDT
Created attachment 93676 [details]
sysreport output
Comment 2 Chris Kloiber 2003-08-15 20:16:57 EDT
Created attachment 93677 [details]
Screenshot (via camera)
Comment 3 Bill Nottingham 2003-08-17 21:26:39 EDT
Please attach the output of 'acpidmp' as well. (Hm, perhaps acpidmp should be
added to sysreport?)
Comment 4 Luming Yu 2003-08-26 05:43:46 EDT
Any chance to get dmesg through serial port?
Comment 5 Chris Kloiber 2003-08-26 12:41:17 EDT
If I can scare up a null-modem, sure. Should have one around here someplace.
Comment 6 Chris Kloiber 2003-08-27 15:24:13 EDT
Created attachment 93991 [details]
Booting the installer with serial capture.

Here you go.
Comment 7 Chris Kloiber 2003-08-27 15:32:57 EDT
Created attachment 93992 [details]
Same machine with acpi=off

For comparison sake, serial capture of -BOOT kernel with acpi=off

If you really need the acpidmp, let me know, as the machine currently is the
box I use day to day with Taroon installed.
Comment 8 Chris Kloiber 2003-08-27 23:47:36 EDT
Created attachment 94020 [details]
acpidmp output

I found another box to run Taroon, here's the acpidmp from the W8000.
Comment 9 shaohua li 2003-09-02 21:03:02 EDT
ACPI-0183: *** Error: Looking up [\_SB_.PCI0.LPC_.ECP0] in namespace, 
AE_NOT_FOUND
ACPI-1121: *** Error: , AE_NOT_FOUND
but in fact, '\_SB_.PCI0.LPC_.ECP0' is defined in a SSDT.
I investigated the SSDTs of the issue, and found that one SSDT has dependence 
with other SSDT. This could be the root reason. According to ACPI spec(p114), 
the dependence is wrong, but we can solve it. In fact, I found kernel 2.4.22-
rc2 has already such resolution(the resolution can only solve the situation 
that A is depend on B when B is loaded prior to A, it can't work for other 
situations) for the problem. can you try the kernel 2.4.22-rc2?
Comment 10 shaohua li 2003-09-02 21:43:37 EDT
well, DSDT defined '\_SB_.PCI0.LPC', but SSDTs use '\_SB_.PCI0.LPC_'. maybe we 
also need to fix the DSDT. 
Comment 11 Chris Kloiber 2003-09-05 20:27:59 EDT
The latest beta kernel-2.4.22-20.1.2024.2.36.nptlsmp boots without adding acpi=off.
Hurrah!
Comment 12 shaohua li 2003-09-05 23:51:54 EDT
yes,kernel-2.4.22-20.1.2024.2.36.nptlsmp includes what I have said. But I 
still think It's not the best solution. If SSDT A depends on SSDT B and B 
depends on A, though it's invalid to ACPI spec, what should we do?
Comment 13 Chris Kloiber 2003-09-06 00:08:02 EDT
Sorry, I can't help you there. I am the reporter of the original problem, and do
not understand the inner workings of ACPI. I do thank you for your assistance,
however.

Note You need to log in before you can comment on or make changes to this bug.